<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE TS>
<TS version="2.1" language="en">
<context>
    <name>AboutPage</name>
    <message>
        <location filename="../qml/pages/AboutPage.qml" line="26"/>
        <source>About Application</source>
        <translation>About Application</translation>
    </message>
    <message>
        <location filename="../qml/pages/AboutPage.qml" line="40"/>
        <source>#descriptionText</source>
        <translation>&lt;p&gt;The application allows you to receive and process push notifications.&lt;/p&gt;
&lt;p&gt;It can be used both as an example of the API interaction (notification receiving and displaying, launching the application from the background, and switching the UI mode) and for utilitarian purposes for testing and debugging the infrastructure.&lt;/p&gt;</translation>
    </message>
    <message>
        <location filename="../qml/pages/AboutPage.qml" line="45"/>
        <source>3-Clause BSD License</source>
        <translation>3-Clause BSD License</translation>
    </message>
    <message>
        <location filename="../qml/pages/AboutPage.qml" line="59"/>
        <source>#licenseText</source>
        <translation>&lt;p&gt;&lt;i&gt;Copyright (C) 2023 Open Mobile Platform LLC&lt;/i&gt;&lt;/p&gt;
&lt;p&gt;Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:&lt;/p&gt;
&lt;ol&gt;
	&lt;li&gt;Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.&lt;/li&gt;
	&lt;li&gt;Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.&lt;/li&gt;
	&lt;li&gt;Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.&lt;/li&gt;
&lt;/ol&gt;
&lt;p&gt;THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.&lt;/p&gt;</translation>
    </message>
</context>
<context>
    <name>ApplicationController</name>
    <message>
        <location filename="../src/application/applicationcontroller.cpp" line="65"/>
        <source>Open app</source>
        <translation>Open app</translation>
    </message>
    <message>
        <location filename="../src/application/applicationcontroller.cpp" line="70"/>
        <source>Push Receiver</source>
        <translation>Push Receiver</translation>
    </message>
</context>
<context>
    <name>CopyInfoButton</name>
    <message>
        <location filename="../qml/components/CopyInfoButton.qml" line="31"/>
        <source>%1: &lt;b&gt;%2&lt;/b&gt;</source>
        <translation>%1: &lt;b&gt;%2&lt;/b&gt;</translation>
    </message>
    <message>
        <location filename="../qml/components/CopyInfoButton.qml" line="68"/>
        <source>&apos;%1&apos; has been copied</source>
        <translation>&apos;%1&apos; has been copied</translation>
    </message>
</context>
<context>
    <name>DefaultCoverPage</name>
    <message>
        <location filename="../qml/cover/DefaultCoverPage.qml" line="12"/>
        <source>Push Receiver</source>
        <translation>Push Receiver</translation>
    </message>
</context>
<context>
    <name>GuidePage</name>
    <message>
        <location filename="../qml/pages/GuidePage.qml" line="27"/>
        <source>Guide</source>
        <translation>Guide</translation>
    </message>
    <message>
        <location filename="../qml/pages/GuidePage.qml" line="41"/>
        <source>#guideText</source>
        <translation>&lt;p&gt;When receiving a notification from the push-server, the first step is
                            to check whether the &lt;code&gt;Push Reciever&lt;/code&gt; is currently running. If it
                            is not running, then it is running in the background (without GUI). Next,
                            all notifications delivered to the device are received via the &lt;code&gt;Push-daemon API&lt;/code&gt;
                            and graphical representations are created for each of them via the
                            &lt;code&gt;Notifications API&lt;/code&gt;. If the application is running in the
                            background and no notifications have been received for it for some time,
                            then it shuts down. The graphical representation of notifications can either
                            be displayed as a pop-up or placed in the notification curtain. Clicking on
                            any of them will either launch an application with a graphical interface,
                            if it has not been launched, or a graphical interface will be displayed
                            for the current process.&lt;/p&gt;
                            &lt;p&gt;The application itself is a single page with two sections. The upper
                            part is a list of push-notifications received by this instance of the
                            application and a header that displays the number of notifications
                            displayed. The &lt;code&gt;Application ID&lt;/code&gt; and &lt;code&gt;Registration ID&lt;/code&gt;
                            are displayed at the bottom. The application also has an upper pull-out menu;
                            through it you can clear the push-notification list.&lt;/p&gt;</translation>
    </message>
</context>
<context>
    <name>MainPage</name>
    <message>
        <location filename="../qml/pages/MainPage.qml" line="16"/>
        <source>%1 (%2)</source>
        <translation>%1 (%2)</translation>
    </message>
    <message>
        <location filename="../qml/pages/MainPage.qml" line="67"/>
        <source>&lt;b&gt;message&lt;/b&gt;: %1</source>
        <translation>&lt;b&gt;message&lt;/b&gt;: %1</translation>
    </message>
    <message>
        <location filename="../qml/pages/MainPage.qml" line="81"/>
        <source>&lt;b&gt;data&lt;/b&gt;: %1</source>
        <translation>&lt;b&gt;data&lt;/b&gt;: %1</translation>
    </message>
    <message>
        <location filename="../qml/pages/MainPage.qml" line="138"/>
        <source>No pushes yet</source>
        <translation>No pushes yet</translation>
    </message>
    <message>
        <location filename="../qml/pages/MainPage.qml" line="150"/>
        <source>Guide</source>
        <translation>Guide</translation>
    </message>
    <message>
        <location filename="../qml/pages/MainPage.qml" line="156"/>
        <source>Clear list</source>
        <translation>Clear list</translation>
    </message>
    <message>
        <location filename="../qml/pages/MainPage.qml" line="191"/>
        <source>Application ID</source>
        <translation>Application ID</translation>
    </message>
    <message>
        <location filename="../qml/pages/MainPage.qml" line="198"/>
        <source>Registration ID</source>
        <translation>Registration ID</translation>
    </message>
</context>
<context>
    <name>PushReceiver</name>
    <message>
        <location filename="../qml/PushReceiver.qml" line="10"/>
        <source>Push Receiver</source>
        <translation>Push Receiver</translation>
    </message>
</context>
</TS>
